Skip to main content

Visa Consumer Bill Payments


This section shows you how to process a Visa Consumer Bill Payment. See Authorizations for a description of a basic authorization.

Supported Processors

  • Cielo
  • FDC Nashville Global
  • Getnet
  • Worldpay VAP
  • FDC Nashville Global
  • Worldpay VAP

Fields Specific to This Use Case

Include these fields in a standard authorization when you request a Visa CBPS authorization:

processingInformation.authorizationOptions.billPayment Required

For Cielo and Getnet: Set the value to true.

processingInformation.businessApplicationId Required

Set the value to CB.

Requirements

Before you process Visa CBPS payments, you must:

  • Contact your acquirer to register your account for the Visa Consumer Bill Pay Service.
  • Contact customer support to have your account configured for this feature.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

FDC Nashville Global and Worldpay VAP Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Smith",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Jane",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "usd"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "businessApplicationId": "CB"    }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6703681963696557903954/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6703681963696557903954"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6703681963696557903954/captures"    }  },  "clientReferenceInformation": {    "code": "MRC987654321"  },  "id": "6703681963696557903954",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "102.21",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "62246404OAIKS5EN",  "status": "AUTHORIZED"}
{  "clientReferenceInformation": {    "code": "MRC987654321"  },  "errorInformation": {    "reason": "PROCESSOR_ERROR",    "message": "Invalid account"  },  "id": "6583553837826789303954",  "paymentInsightsInformation": {    "responseInsights": {      "categoryCode": "01",      "category": "ISSUER_WILL_NEVER_APPROVE"    }  },  "processorInformation": {    "systemTraceAuditNumber": "004544",    "merchantNumber": "1231231222",    "networkTransactionId": "431736869536459",    "transactionId": "431736869536459",    "responseCode": "111",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "status": "DECLINED"}

Cielo and Getnet Example (Request Only)

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Smith",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Jane",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "usd"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "businessApplicationId": "CB",        "authorizationOptions": {            "billPayment": "true"        }    }}

Required Fields

These fields are required when requesting a Visa Consumer Bill Payment authorization.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.authorizationOptions.billPaymentRequired for Cielo and Getnet. Set the value to true.
processingInformation.businessApplicationIdSet the value to CB.

Last published: September 29, 2026